#ifndef __PLATFORM_INTERFACE__IOS_H
#define __PLATFORM_INTERFACE__IOS_H
#include "PlatformInterface.h"
#include <string>
using namespace std;

class CPlatformInterface_IOS
{
public:
	CPlatformInterface_IOS(void);
	~CPlatformInterface_IOS(void){};
    
    /**
     *获取哦服务器列表
     *whitekey
     白名单标识,没有可以传“”
     */
    static void getServerList(const char* whitekey);
    
    /**
     *获取公告列表
     *type
     公告类型,参考文档
     serverid
     区服id,可以传""
     */
    static void getNoticeList(const char* type, const char* serverid);
//
//    //-----------------------游戏调用方法->C------------------------------------
    //----------------------C 调用的接口-------------------------
    /**
     *登陆
     */
    static void Login();
    
    /**
     *支付
     */
    static void Pay( const char * itemid, const char * itemName, const char * type,int num ,float money, const char* currency, const char *extData = "",const char *paysdktype = "appstore");	//物品id，物品名字，充值类型值，及购买的数量: int num 表示购买物品的数量值,float money 代表购买物品的总金额，单位是元,currency:币种,extData:附加字符串,paysdktype:支付方式类型
    
    /**
     *获取支付列表
     */
    static void GetPayList();	//返回当前支持的支付列表ＪＳＯＮ串
    
    /**
     *获取未完成订单
     */
    static void GetOrderList();	
    
    /**
     *游戏处理完充值订单后反馈平台
     */
    static void PayFeedback(const char * billNo);
    
    /**
     *游戏通知平台退出登录
     */
    static void GameToPlatformLogout();	 //由游戏层调用来的退出ＳＤＫ的登录账号的注销操作
    
    /**
     *设置区号areaID和区名areeaName
     */
    static void SetAreaInfo(const char * areaID, const char * areaName);	//设置区号与区名
    
    /**
     *设置角色信息
     *rolename:角色名
     *roleid:角色id
     *rolelevel:角色等级
     *profession:职业
     *power:战力
     *gold:财富
     */
    static void SetRoleInfo(const char * roleName, const char * roleID, int rolelevel = -1, const char *  Profession = "profession", int Power = 1, int Gold = 1);
    
    //////////////获取平台参数
    /**
     *获取平台编号
     */
    static const int GetPlatformID();
    
    /**
     *获取平台名字
     */
    static const char * GetPlatformName();
    
    /**
     *获取发现服返回结果
     */
    static const char * GetEveData();
    
    /**
     *获取游戏的clientid
     */
    static const char * GetClientId();
    
    /**
     *获取最新平台AccessToken
     */
    static const char* GetAccessToken();
    
    static const char* CallFunction(const char * pluginType, const char * sdkType, const char * function, const char * values);
};

#endif


